unit ControlPanel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TControl_Panel = class(TForm)
    Start_Button: TButton;
    EditA1: TEdit;
    EditA2: TEdit;
    EditB1: TEdit;
    EditB2: TEdit;
    EditC2: TEdit;
    Button1: TButton;
    StaticText1: TStaticText;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    StaticText5: TStaticText;
    EditC1: TEdit;
    EditX1: TEdit;
    StaticText6: TStaticText;
    EditX2: TEdit;
    EditY1: TEdit;
    EditY2: TEdit;
    StaticText2: TStaticText;
    StaticText7: TStaticText;
    StaticText8: TStaticText;
    EditT11: TEdit;
    EditT12: TEdit;
    EditT13: TEdit;
    EditT21: TEdit;
    EditT22: TEdit;
    EditT23: TEdit;
    EditT31: TEdit;
    EditT32: TEdit;
    EditT33: TEdit;
    StaticText9: TStaticText;
    StaticText10: TStaticText;
    procedure Triangle(Sender: TObject);
    procedure Exit(Sender: TObject);
    procedure SetDrawCaption(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }

  end;

var
  Control_Panel: TControl_Panel;

implementation

uses Graph2d_2005;

{$R *.DFM}
procedure TControl_Panel.Triangle(Sender: TObject);
var Code           :Integer;
    M              :TMatrix;

  begin
    With Draw2D do
    begin
    ClearImage(255,255,255);
    Val(EditA1.Text,A[1],Code);Val(EditA2.Text,A[2],Code);
    Val(EditB1.Text,B[1],Code);Val(EditB2.Text,B[2],Code);
    Val(EditC1.Text,C[1],Code);Val(EditC2.Text,C[2],Code);
    A[3]:=1;B[3]:=1;C[3]:=1;
    Val(EditX1.Text,x1,Code);Val(EditX2.Text,x2,Code);
    Val(EditY1.Text,y1,Code);Val(EditY2.Text,y2,Code);
    Val(EditT11.Text,M[1,1],Code);Val(EditT12.Text,M[1,2],Code);Val(EditT13.Text,M[1,3],Code);
    Val(EditT21.Text,M[2,1],Code);Val(EditT22.Text,M[2,2],Code);Val(EditT23.Text,M[2,3],Code);
    Val(EditT31.Text,M[3,1],Code);Val(EditT32.Text,M[3,2],Code);Val(EditT33.Text,M[3,3],Code);
    Scale(x1,x2,y1,y2);
      Red:=255;Green:=0;Blue:=0;
      Image1.Canvas.Pen.Width:=1;
      XScale(x1,x2,0,Red,Green,Blue);
      YScale(y1,y2,0,Red,Green,Blue);
      { Puvodni trojuhelnik }
      Red:=0;Green:=160;Blue:=160;
      Image1.Canvas.Pen.Width:=2;
      cvTriangle(A,B,C,Red,Green,Blue);
      { Transformace  }
      TransOfTriangle(A,B,C,M,Ac,Bc,Cc);
      { Transformovany trojuhelnik }
      Red:=160;Green:=200;Blue:=0;
      cvTriangle(Ac,Bc,Cc,Red,Green,Blue);
  end;

end;

procedure TControl_Panel.Exit(Sender: TObject);
begin
  Draw2D.Visible:=False;
  Halt;
end;

procedure TControl_Panel.SetDrawCaption(Sender: TObject);
begin
 Application.CreateForm(TDraw2D, Draw2D);
 With Draw2D do
  begin
    ClientWidth:=500;ClientHeight:=500;
    InitImage(500,500);ClearImage(255,255,255);
    Top:=40;Left:=400;
    Caption:='Linear Transform';
    Visible:=True;
  end;
end;


end.
